/**
 * The contents of this file are subject to the license and copyright
 * detailed in the LICENSE and NOTICE files at the root of the source
 * tree and available online at
 *
 * http://www.dspace.org/license/
 */
package org.dspace.authority.orcid.model;

/**
 * http://support.orcid.org/knowledgebase/articles/118795
 *
 * @author Antoine Snyers (antoine at atmire.com)
 * @author Kevin Van de Velde (kevin at atmire dot com)
 * @author Ben Bosman (ben at atmire dot com)
 * @author Mark Diggory (markd at atmire dot com)
 */
public enum WorkType {

    BOOK,
    BOOK_CHAPTER,
    BOOK_REVIEW,
    DICTIONARY_ENTRY,
    DISSERTATION,
    ENCYCLOPEDIA_ARTICLE,
    EDITED_BOOK,
    JOURNAL_ARTICLE,
    JOURNAL_ISSUE,
    MAGAZINE_ARTICLE,
    MANUAL,
    ONLINE_RESOURCE,
    NEWSLETTER_ARTICLE,
    NEWSPAPER_ARTICLE,
    REPORT,
    RESEARCH_TOOL,
    SUPERVISED_STUDENT_PUBLICATION,
    TEST,
    TRANSLATION,
    WEBSITE,
    CONFERENCE_ABSTRACT,
    CONFERENCE_PAPER,
    CONFERENCE_POSTER,
    DISCLOSURE,
    LICENSE,
    PATENT,
    REGISTERED_COPYRIGHT,
    ARTISTIC_PERFORMANCE,
    DATA_SET,
    INVENTION,
    LECTURE_SPEECH,
    RESEARCH_TECHNIQUE,
    SPIN_OFF_COMPANY,
    STANDARDS_AND_POLICY,
    TECHNICAL_STANDARD,
    OTHER

}
